
QGIS Application - Bug report #2788

Qgis trunk crashes when using r.in.gdal.qgis GRASS Module

2010-06-06 03:29 PM - andre mano

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12848

Description

When I try to import a raster that is already loaded in QGIS to currently open GRASS Mapset through module r.in.gdal.qgis it causes

GRASS to crash.

I tested the bug with a new project and other rasters and the result is always the same: crash.

Anyway I atached one of the files.

Associated revisions

Revision 04cfd550 - 2010-06-07 07:12 PM - Jürgen Fischer

fix #2788

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13681 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 0770f170 - 2010-06-07 07:12 PM - Jürgen Fischer

fix #2788

git-svn-id: http://svn.osgeo.org/qgis/trunk@13681 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-06-07 05:49 AM - Giovanni Manghi

Confirmed under qgis trunk and Ubuntu 9.04.

Tested white a couple of rasters in different CRS.

Message is just "seg fault".

It affects also windows/osgeo4w

#2 - 2010-06-07 10:12 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed
fixed in commit:0770f170 (SVN r13682).
